Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::RectangleI Class Reference

整数矩形 More...

`#include <RectangleI.h>`

List of all members.

## Public Member Functions
| RectangleI ()
| コンストラクタ
| RectangleI (int sourceX, int sourceY, int sourceWidth, int sourceHeight)
| コンストラクタ
| RectangleI (int sourceArray[4])
| コンストラクタ
| RectangleI (const RectangleF &source)
| コンストラクタ
void | set (int sourceX, int sourceY, int sourceWidth, int sourceHeight)
| 値の設定
void | set (int sourceArray[4])
| 値の設定
void | set (const RectangleF &source)
| 値の設定
bool | operator== (const RectangleI &target) const
| 同じ値かどうか
bool | operator!= (const RectangleI &target) const
| 同じ値でないかどうか
String | toString () const
| 文字列化
## Static Public Attributes
const RectangleI | zero
| ゼロ矩形
const RectangleI | unit
| 単位矩形

## Detailed Description

整数矩形

このクラスは継承しないで下さい。

Definition at line 38 of file RectangleI.h.

## Constructor & Destructor Documentation

Lamp::RectangleI::RectangleI | ( |  | ) | `[inline]`

| コンストラクタ このコンストラクタは初期値の設定を行わないため値は不定です。 Definition at line 78 of file RectangleI.h.

Lamp::RectangleI::RectangleI | ( | int | sourceX,
|  | int | sourceY,
|  | int | sourceWidth,
|  | int | sourceHeight
| ) | `[inline]`

  | コンストラクタ Parameters:
  sourceX | X値の初期値
  sourceY | Y値の初期値
  sourceWidth | 幅の初期値
  sourceHeight | 高さの初期値
Definition at line 87 of file RectangleI.h. References height, width, x, and y.

Lamp::RectangleI::RectangleI | ( | int | sourceArray[4] | ) | `[inline, explicit]`

  | コンストラクタ Parameters:
  sourceArray | 初期値配列
Definition at line 94 of file RectangleI.h. References height, width, x, and y.

Lamp::RectangleI::RectangleI | ( | const RectangleF & | source | ) | `[explicit]`

  | コンストラクタ Parameters:
  source | 設定する矩形
Definition at line 42 of file RectangleI.cpp. References Lamp::RectangleF::height, height, Lamp::RectangleF::width, width, Lamp::RectangleF::x, x, Lamp::RectangleF::y, and y.

## Member Function Documentation

bool Lamp::RectangleI::operator!= | ( | const RectangleI & | target | ) | const`[inline]`

  | 同じ値でないかどうか Parameters:
  target | 比較する矩形
Returns: 同じ値でなければtrueを返す Definition at line 156 of file RectangleI.h. References height, width, x, and y.

bool Lamp::RectangleI::operator== | ( | const RectangleI & | target | ) | const`[inline]`

  | 同じ値かどうか Parameters:
  target | 比較する矩形
Returns: 同じ値であればtrueを返す Definition at line 146 of file RectangleI.h. References height, width, x, and y.

void Lamp::RectangleI::set | ( | const RectangleF & | source | ) |

  | 値の設定 Parameters:
  source | 設定する矩形
Definition at line 50 of file RectangleI.cpp. References Lamp::RectangleF::height, height, Lamp::RectangleF::width, width, Lamp::RectangleF::x, x, Lamp::RectangleF::y, and y.

void Lamp::RectangleI::set | ( | int | sourceArray[4] | ) | `[inline]`

  | 値の設定 Parameters:
  sourceArray | 設定値配列
Definition at line 125 of file RectangleI.h. References height, width, x, and y.

void Lamp::RectangleI::set | ( | int | sourceX,
|  | int | sourceY,
|  | int | sourceWidth,
|  | int | sourceHeight
| ) | `[inline]`

  | 値の設定 Parameters:
  sourceX | X値の設定値
  sourceY | Y値の設定値
  sourceWidth | 幅の設定値
  sourceHeight | 高さの設定値
Definition at line 114 of file RectangleI.h. References height, width, x, and y. Referenced by Lamp::RenderingDevice::resetViewport(), and Lamp::ViewportSpriteState::setRectangle().

String Lamp::RectangleI::toString | ( |  | ) | const`[inline]`

| 文字列化 Returns: 矩形の文字列表記 Definition at line 168 of file RectangleI.h. References Lamp::String::format(), height, width, x, and y.

The documentation for this class was generated from the following files:

- RectangleI.h
- RectangleI.cpp